﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<title>HTML 5 Input Types</title>
</head>
<body>
<form>
	Input Type Date 			<input type="date" name="one"></br>
	Input Type Datetime 		<input type="datetime" name="two"></br>
	Input Type Datetime Local 	<input type="datetime-local" name="three"></br>
	</br></br>
	Input Type Month 			<input type="month" name="four"></br>
	Input Type Week 			<input type="week" name="five"></br>
	Input Type Time of Day 		<input type="time" name="six"></br>
	</br></br>
	Input Type Email 			<input type="email" name="seven"></br>
	</br></br>
	Input Type Telephone 		<input type="tel" pattern="\d{3}-\d{3}-\d{4}" name="eight"></br>
	</br></br>
	Input Type Search 		<input type="search" name="nine"></br>
	</br></br>
	Input Type Range 		<input type="range" min="0" max="10" value="5" name="ten"  onchange="showTen.value = ten.valueAsNumber">
							<output name="showTen" for="ten" >5</output>
	</br></br>
	Input Type Range Fancy  <input type="range" list="tickmarks" name="eleven" onchange="showEleven.value = eleven.valueAsNumber + '%'">
	
	<datalist id="tickmarks" style="height:100px">
	  <option value="0" label="0%">
	  <option value="10">
	  <option value="20">
	  <option value="30">
	  <option value="40">
	  <option value="50" label="50%">
	  <option value="60">
	  <option value="70">
	  <option value="80">
	  <option value="90">
	  <option value="100" label="100%">
	</datalist>
	<output name="showEleven" for="eleven" >50%</output>
	
	</br></br>
	Input Type File 		<input type="file" name="File" id="File" onchange="PreviewImage();" ></br>	
							</br></br></br></br>
							<input type="submit" name="Send" style="position:relative; top:-350px" >

							<img id="uploadPreview" style="width: 600px; height: 400px; position:relative; left:400px; top:-300px" />
	
	<script type="text/javascript">
		    function PreviewImage() {
	        var fileReader = new FileReader();
	       	fileReader.readAsDataURL(document.getElementById("File").files[0]);
	
	        fileReader.onload = function (fileEvent) {
	            document.getElementById("uploadPreview").src = fileEvent.target.result;
	        };
	    };
	
	</script>
</form>
</body>
</html>
